/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model;

/**
 * Class used by materials and furnishings. This class contains variables to
 * control material emissions factors and masses.
 *
 * @author Kyle
 *
 */
public class EmissionsItem {

    String name;
    double emissionsFactor;
    double mass;

    public EmissionsItem() {
    }

    public EmissionsItem(String name, double emissionsFactor, double mass) {
        this.name = name;
        this.emissionsFactor = emissionsFactor;
        this.mass = mass;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setEmissionsFactor(double emissionsFactor) {
        this.emissionsFactor = emissionsFactor;
    }

    public double getEmissionsFactor() {
        return emissionsFactor;
    }

    public void setMass(double mass) {
        this.mass = mass;
    }

    public double getMass() {
        return mass;
    }

    @Override
    public String toString() {
        return name;
    }
}
