/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model;

/**
 * All Spanish text strings used by the model.
 *
 * @author Kyle
 *
 */
public enum Strings {

    NEXT("Próximo"), BACK("Anterior"), NUEVO("Nuevo"), NUEVA("Nueva"),
    INSTRUCTION_TREE("Haga click en \"Nueva Bodega\" para empezar a medir las emisiones..."),
    WAREHOUSE("Bodega"), STRUCTURE_ITEM("Material Estructural"), AFFECTED_ROOM("Área Afectada"),
    CONTENT_ITEM("Muebles"), OFFICE("Oficina"), FIN_GOOD_STORE("Almacenamiento de Productos Terminados"),
    MAINT_ROOM("Sala de mantenimiento"),SHELF_UNIT("Estantería"), OTHER("Otro"),
    EXTERNAL_WALLS("Paredes Externas"), INTERNAL_WALLS("Paredes Internas"),
    CEILING("Cielo"), FLOORING("Piso"), ROOFING("Techo"), AREA_TOTAL("Área Total (m^2)"),
    AREA_BURNED("Área Quemada (m^2)"), ADD("Añadir"), CANCEL("Cancelar"),
    NEW_WAREHOUSE("Nueva Bodega"), NONE("Ninguno"), ERROR_BASE("Por favor use los números para describir "),
    ERROR_BURNED_BIGGER("Área quemada no puede ser mayor que el área total de la bodega."),
    STRUCTURE("La Estructura"), CONTENT("El Contenido"), PERCENT_OF_LOCATION("El Porcentaje de la Ubicación"),
    DENSITY("La Densidad"), EMISSIONS_FACTOR("El Factor de Emisiones"), DETAILS("Los Detalles"),
    CHOOSE("Escoja"), MATERIAL("El Material"), MATERIAL_LOCATION("La Ubicación del Material"),
    SELECT("Eligir"), MASS("La Masa"), FURNISHING("Muebles"), NAME("Tipo"),
    CHOOSE_FROM_LIST("Escoja de la Lista"), CUSTOM("Otro Material"),
    PLEASE_CHOOSE("Por favor escoja"), ROOM("El Área"), FURNITURE_ITEM("El Mueble"),
    ROOM_TYPE("Tipo de Área"), QUANTITY_OF_ITEM("La Cantidad de Muebles"), QUANTITY("Cantidad"),
    PERCENT_DAMAGE("Porcentaje de Daño"), DAMAGE("Daño"), RESET("Reiniciar"),
    EXIT("Salir"), REPORT("Reporte"), HELP("Ayuda"), ABOUT("Acerca de"), CREATE("Crear"),
    EMISSIONS_TOTAL("Total de Emisiones"), GENERATE_REPORT("Generar Reporte (PDF)"),
    FILE("Archivo"), SUCCESSFUL_REPORT("Reporte de las emisiones generado exitosamente."),
    WAREHOUSE_EMISSIONS_CALCULATOR("La calculadora de las emisiones de una bodega"),
    ROOM_AREA("Área"), FOOD("Comida/Bebida/Tabaco"),
    WOOD("Madera"), METAL("Metal"), TEXTILE("Textil/Cuero"), PAPER("Papel"),
    CHEM("Químicos"), BATHROOM("Baño"), DEFAULT_ROOM("Área Estandar"),
    ROOM_AREA_BIGGER("La suma de los áreas no puede ser más grande que el área total de la bodega."),
    DEFAULT_PLUS("Si elijiera el *Área Estandar* no se puede añadir mas muebles."),
    ROOM_QUANTITY(QUANTITY + " de Áreas"), SHELF_QUANTITY(QUANTITY + " de Estantes"),
    AFFECTED_SHELF("Estante Afectado"), SHELF("El Estante"), SHELF_TYPE("Tipo de Estante"),
    PERCENT_USAGE("Porcentaje de Área Utilizado"), USAGE("Uso"), SHELF_LVLS("Número de Niveles"),
    ALCOHOL("Alcohol"), GRAINS("Granos"), PRODUCE("Frutas/Verduras"), MEAT("Carne"),
    DAIRY("Lechería"), CANNED("Productos Enlatados"), LEATHER("Cuero"), COTTON("Algodón/Fibra Natural"),
    CARPET("Alfombra"), POLYESTER("Poliester"), WOOL("Lana/Fibra de Origen Animal"),
    VINYL("Vinilo/Fibra Mineral"), SOFT_PRESS("Madera Blanda, Tratada Presíon"),
    SOFT("Madera Blanda"), HARD_PRESS("Madera Dura, Tratada Presíon"),
    HARD("Madera Dura"), PLYWOOD_HARD("Madera Contrachapada, Madera Dura"), 
    PLYWOOD_SOFT("Madera Contrachapada, Madera Blanda"), HDF("HDF Madera"), MDF("MDF Madera"),
    STEEL("Acero"), IRON("Hierro"), COPPER("Cobre"), ALUMINUM("Aluminio"),
    COMPUTER_PAPER("Papel de Computadora"), NEWSPAPER("Papel Periódico"),
    BATHROOM_PAPER("Papel Higiénico"), CARDBOARD("Cartón"), POOL_CHEM("Químicos de Piscina"),
    GASOLINE("Gasolina"), NAT_GAS("Gas Natural"), PAINT("Pintura"), ELECTRONICS("Electrónicos"),
    PALLET("Pallet"), CUBICLE("Cubículo"), SHELF_DIM("Dimensiones de Estante"),
    CONFERENCE("Sala de Conferencias"), BREAK_AREA("Sala de Descanso"),
    USE_CUSTOM_DIM("Usa las Dimensiones Personalizadas"), USE_STANDARD_DIM("Usa las Dimensiones Estándares"),
    WIDTH("Anchura"), LENGTH("Longitud"), HEIGHT("Altura"), COMPUTER("Computadora"),
    TV("TV"), SHELF_BASE("Base de Estante"), SHELF_SUB("Subtipo de Estante"),
    LPG("Gas Licuado de Petróleo"), BIODIESEL("Biodiesel"), BUNKER_CRUDE("Aceite Combustible/Crudo Bunker"),
    DIESEL("Diesel"), FUEL("Combustibles"), PVC("Polivinílico (PVC)"), PET("Tereftalato de Polietileno (PET)"),
    PS("Poliestireno (PS)"), HDPE("Polietileno de Alta Densidad (HDPE)"), LDPE("Polietileno de Baja Densidad (LDPE)"),
    PP("Polipropileno"), ALLOY("Aleación de Aluminio"), PLASTIC("Plásticos"),
    ANTIFREEZE("Anticongelante"), RODENT("Rodenticida"), CLEANER("Limpiador Multiproposito"),
    LAUNDRY("Detergente de Lavandería"), LAPTOP("Portátil"), CRT_MONITOR("Monitor - CRT"),
    LCD_MONITOR("Monitor - LCD"), PERIPHERALS("Ratón/Teclado"), PRINTER("Impresora"),
    MOBILE_PHONE("Celular"), DVD("Reproductor de DVD"), RADIO("Radio"), APPLIANCE("Accesorios"),
    TOOL("Herramientas Eléctricas"), PERCENT_HEIGHT("Porcentaje de Altura Utilizada"),
    FRIDGE("Refrigerador"), CONFIRM("Confirmar"), CONFIRM_DATA("Por favor confirme la información.\nNo puede cambiar la información después de someterla."),
    ERROR("Error"), FURN_LIST_EMPTY(PLEASE_CHOOSE.toString() + " al menos un mueble.");

    private String displayString;

    private Strings(String displayString) {
        this.displayString = displayString;
    }

    @Override
    public String toString() {
        return displayString;
    }
}
