/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.shelf;

import sa.shpi.advanced.model.Strings;

/**
 * The available options for type of room in a warehouse.
 *
 * @author Kyle
 *
 */
public enum PaperSubType {

    COMPUTER_PAPER(Strings.COMPUTER_PAPER.toString()), NEWSPAPER(Strings.NEWSPAPER.toString()),
    BATHROOM_PAPER(Strings.BATHROOM_PAPER.toString()), CARDBOARD(Strings.CARDBOARD.toString()),
    DEF_PAPER("*" + Strings.PAPER.toString() + "*");

    private String displayName;

    private PaperSubType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
