/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.structure;

import java.util.ArrayList;

import sa.shpi.advanced.model.EmissionsItem;

/**
 * Material list used to keep track of the number of used materials in a room.
 *
 * @author Kyle
 *
 */
public class MaterialList extends ArrayList<StructureUsedMaterials> {

    private static final long serialVersionUID = 1L;

    public MaterialList() {

    }

    public String getUnits() {
        return "kg/m^2";
    }

    public void add(EmissionsItem mat) {
        this.add(new StructureUsedMaterials(mat));
    }
}
