/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.visual.content;

import sa.shpi.advanced.model.Strings;
import sa.shpi.advanced.model.content.FurnishingLibrary;
import sa.shpi.advanced.visual.EmissionsItemRequesterForm;
import sa.shpi.advanced.visual.LibraryItemChooseForm;

/**
 * Allows a user to choose from the existing list of furnishings or create a
 * custom furnishing.
 *
 * @author Kyle
 *
 */
public class FurnishingChooseForm extends LibraryItemChooseForm {

    public FurnishingChooseForm(EmissionsItemRequesterForm requester,
            FurnishingLibrary furnishingLibrary) {
        super(requester, furnishingLibrary);
    }

    @Override
    protected String getLibraryType() {
        return Strings.FURNISHING.toString();
    }
}
