/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi;

import javax.swing.UIManager;
import javax.swing.UnsupportedLookAndFeelException;

import sa.shpi.advanced.AdvancedTool;

/**
 *
 * Application compiled using NetBeans IDE 8.0.2
 *
 * https://www.netbeans.org/
 *
 * Revision Developer E-Mail: kpfortin@wpi.edu
 *
 * Original Developer E-Mail: tjstone@wpi.edu
 *
 */
public class EmissionsModelingTool {

    /**
     * The entry point for the application.
     *
     * @param args
     */
    public static void main(String[] args) {

        try {
            // Set system look and feel.

            UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
        } catch (UnsupportedLookAndFeelException e) {
            e.printStackTrace();
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        } catch (InstantiationException e) {
            e.printStackTrace();
        } catch (IllegalAccessException e) {
            e.printStackTrace();
        }

        try {

            AdvancedTool tool = new AdvancedTool();
            tool.startAdvancedTool();

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
