/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced;

import sa.shpi.advanced.model.Industrial;
import sa.shpi.advanced.visual.AdvancedMainForm;

/**
 * Main entry point for the industrial model.
 *
 * @author Kyle
 *
 *
 */
public class AdvancedTool {

    private AdvancedMainForm mainForm;
    private Industrial industrial;

    public AdvancedTool() {
        mainForm = new AdvancedMainForm(this);

    }

    public void setIndustrial(Industrial ind) {
        this.industrial = ind;
    }

    public Industrial getIndustrial() {
        return industrial;
    }

    public AdvancedMainForm getForm() {
        return mainForm;
    }

    public void startAdvancedTool() {
        mainForm.getFrame().setVisible(true);
    }
}
