/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model;

import java.util.ArrayList;

/**
 * Library base class that is used by MaterialsLibrary and FurnishingLibrary.
 *
 * @author Kyle
 *
 */
public abstract class Library {

    protected ArrayList<EmissionsItem> lib;

    public Library() {
        lib = new ArrayList<EmissionsItem>();
    }

    public ArrayList<EmissionsItem> getLib() {
        return lib;
    }

    public void setLib(ArrayList<EmissionsItem> lib) {
        this.lib = lib;
    }

    public abstract void initialize();

    public abstract String getUnits();
}
