/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model;

/**
 * Spanish text strings used by the model.
 *
 * @author Kyle
 *
 */
public enum Strings {

    ABOUT("Acerca de"), ACETIC_ACID("Ácido Acético"), ACETONE("Acetona"), ADD("Añadir"),
    AFFECTED_ROOM("Área Afectado"), ALCOHOL("Alcohol"), ALLOY("Aleación de Aluminio"),
    ALUMINUM("Aluminio"), AMMONIA("Amoníaco"), AMM_NITRATE("Nitrato de Amonio"),
    ANTIFREEZE("Anticongelante"), AP_CLEANER("Limpiador Multiproposito"),
    AREA_BURNED("Área Quemada (m^2)"), AREA_TOTAL("Área Total (m^2)"), BACK("Anterior"),
    BATHROOM("Baño"), BATH_TISSUE("Papel Higiénico"), BEANS("Frijoles"), BEEF("Carne de Res"),
    BENZENE("Benceno"), BIODIESEL("Biodiesel"), BISPHENOL("bisfenol"), BLANK(""),
    BLEACH("Blanqueador"), BUNKER("Crudo Bunker"), BUTTER("Mantequilla"), CANCEL("Cancelar"),
    CANNED("Productos Enlatados"), CARBON_BLACK("Negro Carbón"), CARDBOARD("Cartón"),
    CARPET("Alfombra"), CEILING("Cielo"), CHALK("Tiza"), CHEM_IND("Químicos"), 
    CHICKEN("Pollo"), CHLORINE("Cloro"), CHOOSE("Escoja"), CHOOSE_FROM_LIST("Escoja de la Lista"),
    CINDER_BLOCK("Bloques de Hormigón"), CLAY("Arcilla"), CLAY_BRICK("Ladrillo de Arcilla"), COAL("Hulla"),
    COMP_PAPER("Papel de Computadora"), CONCRETE("Concreto"), CONFIRM("Confirmar"),
    CONFIRM_DATA("Por favor confirme la información.\nNo puede cambiar la información después de someterla."),
    CONST_IND("Materials de Construcción"), CONTENT("El Contenido"), CONTENT_ITEM("Muebles"),
    COPPER("Cobre"), CORN("Maíz"), COTTON("Algodón"), CREATE("Crear"), CUSTOM("Otro Material"),
    CYCLOHEXANE("Ciclohexano"), DAIRY("Lechería"), DAMAGE("Daño"), DEFAULT_LOADING("Área Estandar"),
    DEFAULT_PLUS("Áreas que contienen " + "'" + DEFAULT_LOADING + "'" + " no pueden contiener los otros meubles."),
    DENSITY("Densidad"), DETAILS("Detalles"), DIESEL("Diesel"), DOLOMITE("Dolomita"),
    EMISSIONS_FACTOR("El Factor de Emisiones"), EMISSIONS_TOTAL("Total de Emisiones"),
    ERROR("Error"), ERROR_BASE("Por favor use los números para describir "),
    ERROR_BURNED_BIGGER("Área quemada no puede ser más grande que la área total."),
    ETHYLBENZENE("Etilbenceno"), ETHYLENE("Etileno"), ETHYLENE_DI("Dicloruro de Etileno"),
    ETHYLENE_GLYCOL("Etilenglicol"), ETHYL_OX("Óxido de Etileno"), EXIT("Salir"),
    EXTERNAL_WALLS("Paredes Externas"), FILE("Archivo"), FIN_GOOD_DET("Detalles del Producto Terminado"),
    FIN_GOOD_STORE("Almacenamiento de Productos Terminados"), FIN_GOOD_TYPE("Tipo del Producto Terminado"),
    FIN_STORE_TYPE("Tipo del Almacenamiento"), FISH("Pescado"), FLOORING("Piso"),
    FOOD_IND("Comida/Bebida/Tobaco"), FORMALDEHYDE("Formaldehído"), FUEL("Combustible"),
    FUEL_STORE("Almacenamiento del Combustible"), FUEL_TYPE("Tipo del Combustible"), FUEL_VOL("Volumen del Combustible"),
    FURNISHING("Muebles"), FURNITURE_ITEM("Mueble"), GAS("Gasolina"),
    GENERATE_REPORT("Generar Reporte (PDF)"), GENERIC("Generic"), GLASS_IND("Vidrio"),
    GRAIN("Granos"), GUAR_GUM("Goma Guar"), HDPE("Polietileno de Alta Densidad"), HELP("Ayuda"),
    HYRDOCHLORIC("Ácido Clorhídrico"), INDUSTRIAL("Edificio Industrial"),
    INDUSTRIAL_EMISSIONS_CALCULATOR("La calculadora de las emisiones de un edificio industrial"),
    IND_TYPE("Tipo de Edificio Industrial"), INSTRUCTION_TREE("Haga click en \"Nueva Industrial\" para empezar a medir las emisiones"),
    INTERNAL_WALLS("Paredes Internas"), IRON("Hierro"), ISOBUTYLENE("Isobutileno"),
    LAMB("Cordero"), LAUNDRY("Detergente de Lavandería"), LDPE("Polietileno de Baja Densidad"), LEATHER("Cuero"), 
    LIMESTONE("Caliza"), LPG("GLP"), BREAK_ROOM("Sala de Descanso"), MASS("Masa"),
    MATERIAL("Material"), MATERIAL_LOCATION("Ubicación del Material"), MEAT("Carne"),
    METAL_IND("Metal"), METHANOL("Metanol"), NAME("Tipo"), NAT_GAS("Gas Natural"),
    NEWSPAPER("Periódico"), NEW_INDUSTRIAL("Nueva Edificio Industrial"), NEXT("Próximo"),
    NITRIC_ACID("Ácido Nítrico"), NITROGEN("Nitrógeno"), NONE("Ninguno"), NO_DATA("No Hay Datos"),
    NUEVA("Nueva"), NUEVO("Nuevo"), OATS("Avena"), OFFICE("Oficina"), OTHER("Otro"),
    OXYGEN("Oxígeno"), PAINT("Pintura"), PAPER_IND("Papel"), PERCENT_DAMAGE("Porcentaje de Daño"),
    PERCENT_OF_LOCATION("El Porcentaje de la Ubicación"), PET("Tereftalato de Polietileno"), PETROLEUM("Petróleo"),
    PHENOL("Fenol"), PHOS_ACID("Ácido Fosfórico"), PLASTIC_IND("Plasticos"),
    PLEASE_CHOOSE("Por favor escoja"), POLYESTER("Poliéster"), POOL_CHEM("Químicos para Piscina"),
    PORK("Cerdo"), POTASH("Potasa"), POTATOES("Papas"), PP("Polipropileno"), PRODCUE("Frutas/Verduras"),
    PROD_FLOOR("Área de Produccion"), PROPYLENE("Propileno"), PROP_OX("Óxido de Propileno"),
    PS("Poliestireno"),  PVC("Cloruro de Polivinilo"), QUANTITY("Cantidad"), QUANTITY_OF_ITEM("La Cantidad de Muebles"),
    RAW_MAT_DET("Detalles del Material Prima"), RAW_MAT_STORAGE("Almacenamiento de Materias Primas"),
    RAW_MAT_TYPE("Tipo del Material Prima"), RAW_STORE_TYPE("Tipo del Almacenamiento"),
    REC_GLASS("Vidrio Reciclado"), RESET("Reiniciar"), RICE("Arroz"), RODENTICIDE("Rodenticida"),
    ROOFING("Techo"), ROOM("El Área"), ROOM_AREA("Área"), ROOM_AREA_BIGGER("La área total de cuartos exceden la área total de la estructura."),
    ROOM_QUANTITY("Cantidad de Áreas:"), ROOM_TYPE("Tipo de Área"), ROSIN("Colofonia"),
    REPORT("Reporte"), SELECT("Elija"), SHELF("Estante"), SILICA("Sílice"), SODA_ASH("Ceniza de Soda"),
    SOD_CARB("Carbonato de Sodio"), SOD_HYDRO("Hidróxido de Sodio"),
    SOD_SILI("Silicato de Sodio"), SOD_SULF("Sulfuro de Sodio"), SOY("Soja"), STARCH("Almídon"),
    STEEL("Acero"), STEEL_PALLET("Pallet de Acero"), STORAGE_DETAILS("Detalles del Almacenamiento"),
    STRUCTURE("La Estructura"), STRUCTURE_ITEM("Material Estructural"), STYRENE("Estireno"),
    SUCCESSFUL_REPORT("Reporte de las emisiones generado exitosamente"),
    SUGARCANE("Caña de Azúcar"), SULF_ACID("Ácido Sulfúrico"), TEREPHTALIC_ACID("Ácido Tereftálico"),
    TEXT_IND("Textil/Cuero"), TITANIUM_DIOX("Dióxido de Titanio"), TURKEY("Pavo"),
    UREA("Urea"), USE_MASS("Utilizar la Masa"), USE_VOL("Utilizar el  Volumen/Densidad"), VC("Cloruro de Vinilo"),
    VINYL("Vinilo"), VINYL_ACE("Acetato Vinilo"), VOLUME("Volumen"), WHEAT("Trigo"),
    WOOD("Madera"), WOOD_CHIPS("Virutas de Madera"), WOOD_PALLET("Pallet de Madera"), WOOL("Lana"),
    XYLENE("Xileno"), CONF_ROOM("Sala de Conferencias"), AREA("Área");
    
    private String displayString;

    private Strings(String displayString) {
        this.displayString = displayString;
    }

    @Override
    public String toString() {
        return displayString;
    }
}
