/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.content;

import sa.shpi.advanced.model.Strings;

/**
 * The available options for finished goods in a Chemical Industrial.
 *
 * @author Kyle
 *
 */
public enum ChemFinGoodType {

    ANTIFREEZE(Strings.ANTIFREEZE.toString()), AP_CLEANER(Strings.AP_CLEANER.toString()),
    LAUNDRY(Strings.LAUNDRY.toString()), PAINT(Strings.PAINT.toString()),
    POOL_CHEM(Strings.POOL_CHEM.toString()), RODENTICIDE(Strings.RODENTICIDE.toString()),
    CHEM("*" + Strings.CHEM_IND.toString() + "*");

    private String displayName;

    private ChemFinGoodType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
