/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.content;

import sa.shpi.advanced.model.Strings;

/**
 * The available options for raw materials in Chemical Industrial
 *
 * @author Kyle
 *
 */
public enum ChemRawMatType {

    ACETIC_ACID(Strings.ACETIC_ACID.toString()), ACETONE(Strings.ACETONE.toString()), 
    AMMONIA(Strings.AMMONIA.toString()), AMM_NITRATE(Strings.AMM_NITRATE.toString()),
    BENZENE(Strings.BENZENE.toString()), BISPHENOL(Strings.BISPHENOL.toString()),
    CARBON_BLACK(Strings.CARBON_BLACK.toString()), CHLORINE(Strings.CHLORINE.toString()),
    CYCLOHEXANE(Strings.CYCLOHEXANE.toString()), ETHYLBENZENE(Strings.ETHYLBENZENE.toString()),
    ETHYLENE(Strings.ETHYLENE.toString()), ETHYLENE_DI(Strings.ETHYLENE_DI.toString()),
    ETHYLENE_GLYCOL(Strings.ETHYLENE_GLYCOL.toString()), ETHYL_OX(Strings.ETHYL_OX.toString()),
    FORMALDEHYDE(Strings.FORMALDEHYDE.toString()), HYDROCHLORIC(Strings.HYRDOCHLORIC.toString()),
    ISOBUTYLENE(Strings.ISOBUTYLENE.toString()), METHANOL(Strings.METHANOL.toString()),
    NITRIC_ACID(Strings.NITRIC_ACID.toString()), NITROGEN(Strings.NITROGEN.toString()),
    OXYGEN(Strings.OXYGEN.toString()), PHENOL(Strings.PHENOL.toString()),
    PHOS_ACID(Strings.PHOS_ACID.toString()), POTASH(Strings.POTASH.toString()),
    PROPYLENE(Strings.PROPYLENE.toString()), PROP_OX(Strings.PROP_OX.toString()),
    SOD_CARB(Strings.SOD_CARB.toString()), SOD_HYDRO(Strings.SOD_HYDRO.toString()),
    SOD_SILI(Strings.SOD_SILI.toString()), STYRENE(Strings.STYRENE.toString()),
    SULF_ACID(Strings.SULF_ACID.toString()), TEREPHTALIC_ACID(Strings.TEREPHTALIC_ACID.toString()),
    TITANIUM_DIOX(Strings.TITANIUM_DIOX.toString()), UREA(Strings.UREA.toString()),
    VC(Strings.VC.toString()), VINYL_ACE(Strings.VINYL_ACE.toString()), XYLENE(Strings.XYLENE.toString()),
    OTHER(Strings.OTHER.toString()), CHEM("*" + Strings.CHEM_IND.toString() + "*");

    private String displayName;

    private ChemRawMatType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
