/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.content;

import sa.shpi.advanced.model.Strings;

/**
 * Available options for finished goods in all industrial types.
 *
 * @author Kyle
 *
 */
public enum FinGoodType {

    ALCOHOL(Strings.ALCOHOL.toString()), ALLOY(Strings.ALLOY.toString()),
    ALUMINUM(Strings.ALUMINUM.toString()), ANTIFREEZE(Strings.ANTIFREEZE.toString()),
    AP_CLEANER(Strings.AP_CLEANER.toString()), BATH_TISSUE(Strings.BATH_TISSUE.toString()),
    CANNED(Strings.CANNED.toString()), CARDBOARD(Strings.CARDBOARD.toString()),
    CARPET(Strings.CARPET.toString()), COMP_PAPER(Strings.COMP_PAPER.toString()),
    CONCRETE(Strings.CONCRETE.toString()), COPPER(Strings.COPPER.toString()),
    COTTON(Strings.COTTON.toString()), DAIRY(Strings.DAIRY.toString()), GRAIN(Strings.GRAIN.toString()),
    HDPE(Strings.HDPE.toString()), IRON(Strings.IRON.toString()), LAUNDRY(Strings.LAUNDRY.toString()),
    LDPE(Strings.LDPE.toString()), LEATHER(Strings.LEATHER.toString()), MEAT(Strings.MEAT.toString()), 
    NEWSPAPER(Strings.NEWSPAPER.toString()), PAINT(Strings.PAINT.toString()),
    PET(Strings.PET.toString()), POLYESTER(Strings.POLYESTER.toString()),
    POOL_CHEM(Strings.POOL_CHEM.toString()), PP(Strings.PP.toString()), PRODUCE(Strings.PRODCUE.toString()),
    PS(Strings.PS.toString()), PVC(Strings.PVC.toString()), RODENTICIDE(Strings.RODENTICIDE.toString()),
    STEEL(Strings.STEEL.toString()),  VINYL(Strings.VINYL.toString()), WOOD(Strings.WOOD.toString()),
    WOOL(Strings.WOOL.toString()),
    
    CHEM("*" + Strings.CHEM_IND.toString() + "*"), CONST("*" + Strings.CONST_IND.toString() + "*"),
    GLASS("*" + Strings.GLASS_IND.toString() + "*"), FOOD("*" + Strings.FOOD_IND.toString() + "*"),
    METAL("*" + Strings.METAL_IND.toString() + "*"), PAPER("*" + Strings.PAPER_IND.toString() + "*"),
    PLASTIC("*" + Strings.PLASTIC_IND.toString() + "*"), TEXTILE("*" + Strings.TEXT_IND.toString() + "*");
    
    private String displayName;

    private FinGoodType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
