/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.content;

import sa.shpi.advanced.model.Strings;

/**
 * The available options for finished goods in Food Industrial.
 *
 * @author Kyle
 *
 */
public enum FoodFinGoodType {

    ALCOHOL(Strings.ALCOHOL.toString()), CANNED(Strings.CANNED.toString()),
    DAIRY(Strings.DAIRY.toString()), GRAIN(Strings.GRAIN.toString()),
    MEAT(Strings.MEAT.toString()), PRODUCE(Strings.PRODCUE.toString()),
    FOOD("*" + Strings.FOOD_IND.toString() + "*");
    

    private String displayName;

    private FoodFinGoodType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
