/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.content;

import java.util.ArrayList;

import sa.shpi.advanced.model.EmissionsItem;

/**
 * Furnishing list used to keep track of the number of used furnishings in a
 * room.
 *
 * @author Kyle
 *
 */
public class FurnishingList extends ArrayList<UsedFurnishing> {

    private static final long serialVersionUID = 1L;

    public FurnishingList() {

    }

    public String getUnits() {
        return "kg";
    }

    public void add(EmissionsItem furnishing, int quantity) {
        this.add(new UsedFurnishing(quantity, furnishing));
    }
}
