/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.content;

import sa.shpi.advanced.model.Strings;

/**
 * The available options raw materials in Glass Industrial.
 *
 * @author Kyle
 *
 */
public enum GlassRawMatType {

    DOLOMITE(Strings.DOLOMITE.toString()), LIMESTONE(Strings.LIMESTONE.toString()),
    REC_GLASS(Strings.REC_GLASS.toString()), SILICA(Strings.SILICA.toString()),
    SODA_ASH(Strings.SODA_ASH.toString()), OTHER(Strings.OTHER.toString()), 
    GLASS("*" + Strings.GLASS_IND.toString() + "*");

    private String displayName;

    private GlassRawMatType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
