/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.content;

import sa.shpi.advanced.model.Strings;

/**
 * The available options for finished goods in Paper Industrial.
 *
 * @author Kyle
 *
 */
public enum PaperFinGoodType {

    BATH_TISSUE(Strings.BATH_TISSUE.toString()), CARDBOARD(Strings.CARDBOARD.toString()),
    COMP_PAPER(Strings.COMP_PAPER.toString()), NEWSPAPER(Strings.NEWSPAPER.toString()),
    PAPER("*" + Strings.PAPER_IND.toString() + "*");

    private String displayName;

    private PaperFinGoodType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
