/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.content;

import sa.shpi.advanced.model.Strings;

/**
 * The available options for raw materials in Plastic Industrial.
 *
 * @author Kyle
 *
 */
public enum PlasticRawMatType {

    COAL(Strings.COAL.toString()), HDPE(Strings.HDPE.toString()), LDPE(Strings.LDPE.toString()),
    NAT_GAS(Strings.NAT_GAS.toString()), PET(Strings.PET.toString()),
    PETROLEUM(Strings.PETROLEUM.toString()), POLYESTER(Strings.POLYESTER.toString()),
    PP(Strings.PP.toString()), PS(Strings.PS.toString()), PVC(Strings.PVC.toString()),
    OTHER(Strings.OTHER.toString()), PLASTIC("*" + Strings.PLASTIC_IND.toString() + "*");
    

    private String displayName;

    private PlasticRawMatType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
