/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.content;

import sa.shpi.advanced.model.Strings;

/**
 * All options for raw material type, in all industrial types.
 *
 * @author Kyle
 *
 */
public enum RawMatType {

    ACETIC_ACID(Strings.ACETIC_ACID.toString()), ACETONE(Strings.ACETONE.toString()),
    ALUMINUM(Strings.ALUMINUM.toString()), AMMONIA(Strings.AMMONIA.toString()),
    AMM_NITRATE(Strings.AMM_NITRATE.toString()), BEANS(Strings.BEANS.toString()),
    BEEF(Strings.BEEF.toString()), BENZENE(Strings.BENZENE.toString()),
    BISPHENOL(Strings.BISPHENOL.toString()), BLEACH(Strings.BLEACH.toString()),
    BUTTER(Strings.BUTTER.toString()), CARBON_BLACK(Strings.CARBON_BLACK.toString()),
    CHALK(Strings.CHALK.toString()), CHICKEN(Strings.CHICKEN.toString()),
    CHLORINE(Strings.CHLORINE.toString()), CINDER_BLOCK(Strings.CINDER_BLOCK.toString()),
    CLAY(Strings.CLAY.toString()), CLAY_BRICK(Strings.CLAY_BRICK.toString()),
    COAL(Strings.COAL.toString()), CORN(Strings.CORN.toString()), COTTON(Strings.COTTON.toString()),
    CYCLOHEXANE(Strings.CYCLOHEXANE.toString()), DOLOMITE(Strings.DOLOMITE.toString()),
    ETHYLBENZENE(Strings.ETHYLBENZENE.toString()), ETHYLENE(Strings.ETHYLENE.toString()), 
    ETHYLENE_DI(Strings.ETHYLENE_DI.toString()), ETHYLENE_GLYCOL(Strings.ETHYLENE_GLYCOL.toString()),
    ETHYL_OX(Strings.ETHYL_OX.toString()), FISH(Strings.FISH.toString()), 
    FORMALDEHYDE(Strings.FORMALDEHYDE.toString()), GUAR_GUM(Strings.GUAR_GUM.toString()),
    HDPE(Strings.HDPE.toString()), HYDROCHLORIC(Strings.HYRDOCHLORIC.toString()),
    IRON(Strings.IRON.toString()), ISOBUTYLENE(Strings.ISOBUTYLENE.toString()),
    LAMB(Strings.LAMB.toString()), LDPE(Strings.LDPE.toString()), LEATHER(Strings.LEATHER.toString()),
    LIMESTONE(Strings.LIMESTONE.toString()), METHANOL(Strings.METHANOL.toString()),
    NAT_GAS(Strings.NAT_GAS.toString()), NITRIC_ACID(Strings.NITRIC_ACID.toString()),
    NITROGEN(Strings.NITROGEN.toString()), OATS(Strings.OATS.toString()),
    OXYGEN(Strings.OXYGEN.toString()), PET(Strings.PET.toString()), PETROLEUM(Strings.PETROLEUM.toString()),
    PHENOL(Strings.PHENOL.toString()), PHOS_ACID(Strings.PHOS_ACID.toString()),
    POLYESTER(Strings.POLYESTER.toString()), PORK(Strings.PORK.toString()),
    POTASH(Strings.POTASH.toString()), POTATOES(Strings.POTATOES.toString()),
    PP(Strings.PP.toString()), PROPYLENE(Strings.PROPYLENE.toString()), PROP_OX(Strings.PROP_OX.toString()),
    PS(Strings.PS.toString()), PVC(Strings.PVC.toString()), REC_GLASS(Strings.REC_GLASS.toString()),
    RICE(Strings.RICE.toString()), ROSIN(Strings.ROSIN.toString()), SILICA(Strings.SILICA.toString()),
    SODA_ASH(Strings.SODA_ASH.toString()), SOD_CARB(Strings.SOD_CARB.toString()),
    SOD_HYDRO(Strings.SOD_HYDRO.toString()), SOD_SILI(Strings.SOD_SILI.toString()),
    SOD_SULF(Strings.SOD_SULF.toString()), SOY(Strings.SOY.toString()), STARCH(Strings.STARCH.toString()),
    STEEL(Strings.STEEL.toString()), STYRENE(Strings.STYRENE.toString()),
    SUGARCANE(Strings.SUGARCANE.toString()), SULF_ACID(Strings.SULF_ACID.toString()),
    TEREPHTALIC_ACID(Strings.TEREPHTALIC_ACID.toString()), TITANIUM_DIOX(Strings.TITANIUM_DIOX.toString()),
    TURKEY(Strings.TURKEY.toString()), UREA(Strings.UREA.toString()), VC(Strings.VC.toString()),
    VINYL_ACE(Strings.VINYL_ACE.toString()), WHEAT(Strings.WHEAT.toString()),
    WOOD(Strings.WOOD.toString()), WOOD_CHIPS(Strings.WOOD_CHIPS.toString()),
    XYLENE(Strings.XYLENE.toString()), OTHER(Strings.OTHER.toString()),
    
    FOOD("*" + Strings.FOOD_IND.toString() + "*"), PAPER("*" + Strings.PAPER_IND.toString() + "*"),
    TEXTILE("*" + Strings.TEXT_IND.toString() + "*"), METAL("*" + Strings.METAL_IND.toString() + "*"),
    CONST("*" + Strings.CONST_IND.toString() + "*"), CHEM("*" + Strings.CHEM_IND.toString() + "*"),
    PLASTIC("*" + Strings.PLASTIC_IND.toString() + "*"), GLASS("*" + Strings.GLASS_IND.toString() + "*");

    private String displayName;

    private RawMatType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
