/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.content;

import sa.shpi.advanced.model.Strings;

/**
 * The available options for finished goods in Textile Industrial.
 *
 * @author Kyle
 *
 */
public enum TextileFinGoodType {

    CARPET(Strings.CARPET.toString()), COTTON(Strings.COTTON.toString()),
    LEATHER(Strings.LEATHER.toString()), POLYESTER(Strings.POLYESTER.toString()),
    VINYL(Strings.VINYL.toString()), WOOL(Strings.WOOL.toString()),
    TEXTILE("*" + Strings.TEXT_IND.toString() + "*");

    private String displayName;

    private TextileFinGoodType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
