/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.structure;

import sa.shpi.advanced.model.EmissionsItem;
import sa.shpi.advanced.model.Library;

/**
 * Dummy material library.  Library is populated by specific structural location
 * libraries.
 *
 * @author Kyle
 *
 */
public class MaterialsLibrary extends Library {

    public MaterialsLibrary() {
        initialize();
    }

    @Override
    public void initialize() {

    }

    @Override
    public String getUnits() {
        return "kg/m^2";
    }

}
