/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.structure;

import sa.shpi.advanced.model.Strings;

/**
 * Possible structural areas to choose from for an industrial building.
 *
 * @author Kyle
 *
 */
public enum SectionCategory {

    EXTERNAL_WALLS(Strings.EXTERNAL_WALLS.toString()), ROOFING(Strings.ROOFING.toString()),
    FLOORING(Strings.FLOORING.toString());
    
    private String displayName;

    private SectionCategory(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
