/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.structure;

import sa.shpi.advanced.model.EmissionsItem;

/**
 * This class wraps a material and stores the percent of the structural area
 * with that material.
 *
 * @author Kyle
 *
 */
public class UsedMaterial {

    private EmissionsItem material;

    public UsedMaterial(EmissionsItem material) {
        this.material = material;
    }

    public EmissionsItem getMaterial() {
        return material;
    }

    public void setMaterial(EmissionsItem material) {
        this.material = material;
    }

    @Override
    public String toString() {
        return material.toString();
    }

    public double calculateEmissions(double areaBurned) {
        return areaBurned * material.getMass()
                * material.getEmissionsFactor();
    }
}
